/// <reference types="cheerio" />
import { IHint, IClassification } from './model';
export interface AnalysisResultsSummary {
    id: string;
    executedTimestamp?: string;
    executionDuration?: string;
    outputLocation?: string;
    reportLocation?: string;
    hintCount?: number;
    classificationCount?: number;
}
export declare class AnaysisResultsUtil {
    static loadFromLocation(location: string): Promise<CheerioStatic>;
    static loadFomData(data: any): CheerioStatic;
    static save(dom: CheerioStatic, location: string): Promise<void>;
}
export declare class AnalysisResults {
    dom: CheerioStatic;
    summary: AnalysisResultsSummary;
    constructor(dom: CheerioStatic, summary: AnalysisResultsSummary);
    getHints(): IHint[];
    private getQuickfixes;
    getClassifications(): IClassification[];
    deleteIssue(name: string): boolean;
    markAsFixed(name: string): boolean;
}
