"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const events_1 = require("./events");
const modelService_1 = require("./modelService");
class RhamtModel {
    constructor() {
        this.configurations = new Map();
    }
    getConfigurations() {
        return Array.from(this.configurations.values());
    }
    exists(name) {
        for (const config of this.getConfigurations()) {
            if (config.options['name'] === name) {
                return true;
            }
        }
        return false;
    }
}
exports.RhamtModel = RhamtModel;
var AnalysisState;
(function (AnalysisState) {
    AnalysisState.ANALYZING = 0;
    AnalysisState.STOPPED = 1;
    AnalysisState.COMPLETED = 2;
})(AnalysisState = exports.AnalysisState || (exports.AnalysisState = {}));
var ChangeType;
(function (ChangeType) {
    ChangeType.MODIFIED = 0;
    ChangeType.ADDED = 1;
    ChangeType.DELETED = 2;
    ChangeType.PROGRESS = 3;
    ChangeType.CANCELLED = 4;
    ChangeType.ERROR = 5;
    ChangeType.COMPLETE = 6;
    ChangeType.STARTED = 7;
    ChangeType.CLONING = 8;
})(ChangeType = exports.ChangeType || (exports.ChangeType = {}));
class RhamtConfiguration {
    constructor() {
        this.onChanged = new events_1.rhamtEvents.TypedEvent();
        this.onResultsLoaded = new events_1.rhamtEvents.TypedEvent();
        this._id = modelService_1.RhamtModelService.generateUniqueId();
        this.options = {};
        this.runtime = { host: '', port: 0 };
        this.jvm = {
            id: '', location: '', name: '', version: ''
        };
    }
    set id(id) {
        this._id = id;
    }
    get id() {
        return this._id;
    }
    set results(results) {
        this._results = results;
        this.onResultsLoaded.emit(undefined);
    }
    get results() {
        return this._results;
    }
}
exports.RhamtConfiguration = RhamtConfiguration;
//# sourceMappingURL=model.js.map