import { RhamtModel, RhamtConfiguration } from './model';
import { rhamtEvents } from './events';
export declare class RhamtModelService {
    model: RhamtModel;
    private outDir;
    loaded: boolean;
    onLoaded: rhamtEvents.TypedEvent<RhamtModel>;
    onCreated: rhamtEvents.TypedEvent<RhamtConfiguration>;
    onDeleted: rhamtEvents.TypedEvent<RhamtConfiguration>;
    onChanged: rhamtEvents.TypedEvent<RhamtConfiguration>;
    onSaved: rhamtEvents.TypedEvent<RhamtModel>;
    constructor(model: RhamtModel, outDir: string);
    load(): Promise<RhamtModel>;
    private parse;
    static loadResults(source: any, target: RhamtConfiguration, outDir: string): Promise<void>;
    static copy(source: any, target: RhamtConfiguration): void;
    save(outDir: string): void;
    doSave(outDir: string, data: any): Promise<void>;
    getConfiguration(id: string): RhamtConfiguration | undefined;
    createConfiguration(): RhamtConfiguration;
    createConfigurationWithName(name: string): RhamtConfiguration;
    private loadDefaults;
    deleteConfiguration(id?: string, configuration?: RhamtConfiguration): boolean;
    update(id: string, name: string, cli: string, javaHome: string, options: Array<{
        name: string;
        value: string;
    }>): RhamtConfiguration | undefined;
    private generateConfigurationName;
    static generateUniqueId(): string;
    static getTimestamp(): string;
    dispose(): void;
    onModelLoaded(listen: (m: RhamtModel) => void): rhamtEvents.Disposable;
}
