import { NotificationType, NotificationType0, RequestType } from 'vscode-jsonrpc';
import { Protocol } from './protocol';
export declare namespace Messages {
    namespace Server {
        namespace AddInstallableServerRequest {
            const type: RequestType<Protocol.InstallableServer, Protocol.Status, void, void>;
        }
        namespace UpdateInstallableServerRequest {
            const type: RequestType<Protocol.InstallableServer, Protocol.Status, void, void>;
        }
        namespace DeleteInstallableServerRequest {
            const type: RequestType<Protocol.InstallableServer, Protocol.Status, void, void>;
        }
        namespace GetInstallableServersRequest {
            const type: RequestType<void, Protocol.InstallableServer[], void, void>;
        }
        namespace AddInstalledServerRequest {
            const type: RequestType<Protocol.Installation, Protocol.Status, void, void>;
        }
        namespace InstallServerRequest {
            const type: RequestType<Protocol.InstallServerRequest, Protocol.Status, void, void>;
        }
        namespace CancelServerInstallationRequest {
            const type: RequestType<Protocol.InstallingServer, Protocol.Status, void, void>;
        }
        namespace DeleteServerInstallationRequest {
            const type: RequestType<Protocol.Installation, Protocol.Status, void, void>;
        }
        namespace UpdateServerInstallationRequest {
            const type: RequestType<Protocol.Installation, Protocol.Status, void, void>;
        }
        namespace GetInstalledServersRequest {
            const type: RequestType<void, Protocol.Installation[], void, void>;
        }
        namespace GetInstallingServersRequest {
            const type: RequestType<void, Protocol.InstallingServer[], void, void>;
        }
        namespace StartServerRequest {
            const type: RequestType<Protocol.ServerRunConfiguration, Protocol.Status, void, void>;
        }
        namespace StopServerRequest {
            const type: RequestType<string, Protocol.Status, void, void>;
        }
        namespace ShutdownNotification {
            const type: NotificationType0<void>;
        }
        namespace StartAnalaysisRequest {
            const type: RequestType<Protocol.AnalysisRunConfiguration, Protocol.Status, void, void>;
        }
        namespace CancelAnalaysisRequest {
            const type: RequestType<Protocol.Analysis, Protocol.Status, void, void>;
        }
        namespace GetAllAnalysesRequest {
            const type: RequestType<void, Protocol.Analysis[], void, void>;
        }
        namespace GetServerHandlesRequest {
            const type: RequestType<void, Protocol.ServerInstanceHandle[], void, void>;
        }
    }
    namespace Client {
        namespace InstallableServerAddedNotification {
            const type: NotificationType<Protocol.InstallableServer, void>;
        }
        namespace InstallableServerUpdatedNotification {
            const type: NotificationType<Protocol.InstallableServer, void>;
        }
        namespace InstallableServerDeletedNotification {
            const type: NotificationType<Protocol.InstallableServer, void>;
        }
        namespace InstallationAddedNotification {
            const type: NotificationType<Protocol.Installation, void>;
        }
        namespace InstallingServerNotification {
            const type: NotificationType<Protocol.InstallingServer, void>;
        }
        namespace InstallingServerMessageNotification {
            const type: NotificationType<{
                server: Protocol.InstallingServer;
                msg: string;
            }, void>;
        }
        namespace InstallingServerFailedNotification {
            const type: NotificationType<{
                server: Protocol.InstallingServer;
                msg: string;
                code: any;
            }, void>;
        }
        namespace InstallingServerCancelledNotification {
            const type: NotificationType<Protocol.InstallingServer, void>;
        }
        namespace InstallingServerCompletedNotification {
            const type: NotificationType<{
                installing: Protocol.InstallingServer;
                installation: Protocol.Installation;
            }, void>;
        }
        namespace InstalledServerDeletedNotification {
            const type: NotificationType<Protocol.Installation, void>;
        }
        namespace InstalledServerUpdatedNotification {
            const type: NotificationType<Protocol.Installation, void>;
        }
        namespace StartingServerNotification {
            const type: NotificationType<Protocol.ServerRunConfiguration, void>;
        }
        namespace ServerMessageNotification {
            const type: NotificationType<{
                config: Protocol.ServerRunConfiguration;
                msg: string;
            }, void>;
        }
        namespace ErrorStartingServerNotification {
            const type: NotificationType<{
                config: Protocol.ServerRunConfiguration;
                msg: string;
            }, void>;
        }
        namespace ServerStartedNotification {
            const type: NotificationType<Protocol.ServerInstanceHandle, void>;
        }
        namespace ServerStoppedNotification {
            const type: NotificationType<Protocol.ServerInstanceHandle, void>;
        }
        namespace AnalysisStartedNotification {
            const type: NotificationType<Protocol.Analysis, void>;
        }
        namespace AnalysisCancelledNotification {
            const type: NotificationType<Protocol.Analysis, void>;
        }
        namespace AnalysisMessageNotification {
            const type: NotificationType<{
                config: Protocol.Analysis;
                msg: string;
            }, void>;
        }
        namespace AnalysisCompletedNotification {
            const type: NotificationType<{
                config: Protocol.Analysis;
                msg: string;
            }, void>;
        }
    }
}
