"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_jsonrpc_1 = require("vscode-jsonrpc");
var Messages;
(function (Messages) {
    let Server;
    (function (Server) {
        let AddInstallableServerRequest;
        (function (AddInstallableServerRequest) {
            AddInstallableServerRequest.type = new vscode_jsonrpc_1.RequestType('server/addInstallableServer');
        })(AddInstallableServerRequest = Server.AddInstallableServerRequest || (Server.AddInstallableServerRequest = {}));
        let UpdateInstallableServerRequest;
        (function (UpdateInstallableServerRequest) {
            UpdateInstallableServerRequest.type = new vscode_jsonrpc_1.RequestType('server/updateInstallableServer');
        })(UpdateInstallableServerRequest = Server.UpdateInstallableServerRequest || (Server.UpdateInstallableServerRequest = {}));
        let DeleteInstallableServerRequest;
        (function (DeleteInstallableServerRequest) {
            DeleteInstallableServerRequest.type = new vscode_jsonrpc_1.RequestType('server/deleteInstallableServer');
        })(DeleteInstallableServerRequest = Server.DeleteInstallableServerRequest || (Server.DeleteInstallableServerRequest = {}));
        let GetInstallableServersRequest;
        (function (GetInstallableServersRequest) {
            GetInstallableServersRequest.type = new vscode_jsonrpc_1.RequestType('server/getInstallableServers');
        })(GetInstallableServersRequest = Server.GetInstallableServersRequest || (Server.GetInstallableServersRequest = {}));
        let AddInstalledServerRequest;
        (function (AddInstalledServerRequest) {
            AddInstalledServerRequest.type = new vscode_jsonrpc_1.RequestType('server/addInstalledServer');
        })(AddInstalledServerRequest = Server.AddInstalledServerRequest || (Server.AddInstalledServerRequest = {}));
        let InstallServerRequest;
        (function (InstallServerRequest) {
            InstallServerRequest.type = new vscode_jsonrpc_1.RequestType('server/installServer');
        })(InstallServerRequest = Server.InstallServerRequest || (Server.InstallServerRequest = {}));
        let CancelServerInstallationRequest;
        (function (CancelServerInstallationRequest) {
            CancelServerInstallationRequest.type = new vscode_jsonrpc_1.RequestType('server/cancelInstallation');
        })(CancelServerInstallationRequest = Server.CancelServerInstallationRequest || (Server.CancelServerInstallationRequest = {}));
        let DeleteServerInstallationRequest;
        (function (DeleteServerInstallationRequest) {
            DeleteServerInstallationRequest.type = new vscode_jsonrpc_1.RequestType('server/deleteServerInstallation');
        })(DeleteServerInstallationRequest = Server.DeleteServerInstallationRequest || (Server.DeleteServerInstallationRequest = {}));
        let UpdateServerInstallationRequest;
        (function (UpdateServerInstallationRequest) {
            UpdateServerInstallationRequest.type = new vscode_jsonrpc_1.RequestType('server/updateServerInstallation');
        })(UpdateServerInstallationRequest = Server.UpdateServerInstallationRequest || (Server.UpdateServerInstallationRequest = {}));
        let GetInstalledServersRequest;
        (function (GetInstalledServersRequest) {
            GetInstalledServersRequest.type = new vscode_jsonrpc_1.RequestType('server/getInstalledServers');
        })(GetInstalledServersRequest = Server.GetInstalledServersRequest || (Server.GetInstalledServersRequest = {}));
        let GetInstallingServersRequest;
        (function (GetInstallingServersRequest) {
            GetInstallingServersRequest.type = new vscode_jsonrpc_1.RequestType('server/getInstallingServers');
        })(GetInstallingServersRequest = Server.GetInstallingServersRequest || (Server.GetInstallingServersRequest = {}));
        let StartServerRequest;
        (function (StartServerRequest) {
            StartServerRequest.type = new vscode_jsonrpc_1.RequestType('server/startServer');
        })(StartServerRequest = Server.StartServerRequest || (Server.StartServerRequest = {}));
        let StopServerRequest;
        (function (StopServerRequest) {
            StopServerRequest.type = new vscode_jsonrpc_1.RequestType('server/stopServer');
        })(StopServerRequest = Server.StopServerRequest || (Server.StopServerRequest = {}));
        let ShutdownNotification;
        (function (ShutdownNotification) {
            ShutdownNotification.type = new vscode_jsonrpc_1.NotificationType0('server/shutdown');
        })(ShutdownNotification = Server.ShutdownNotification || (Server.ShutdownNotification = {}));
        let StartAnalaysisRequest;
        (function (StartAnalaysisRequest) {
            StartAnalaysisRequest.type = new vscode_jsonrpc_1.RequestType('server/startAnalaysis');
        })(StartAnalaysisRequest = Server.StartAnalaysisRequest || (Server.StartAnalaysisRequest = {}));
        let CancelAnalaysisRequest;
        (function (CancelAnalaysisRequest) {
            CancelAnalaysisRequest.type = new vscode_jsonrpc_1.RequestType('server/cancelAnalaysis');
        })(CancelAnalaysisRequest = Server.CancelAnalaysisRequest || (Server.CancelAnalaysisRequest = {}));
        let GetAllAnalysesRequest;
        (function (GetAllAnalysesRequest) {
            GetAllAnalysesRequest.type = new vscode_jsonrpc_1.RequestType('server/getAllAnalyses');
        })(GetAllAnalysesRequest = Server.GetAllAnalysesRequest || (Server.GetAllAnalysesRequest = {}));
        let GetServerHandlesRequest;
        (function (GetServerHandlesRequest) {
            GetServerHandlesRequest.type = new vscode_jsonrpc_1.RequestType('server/getServerHandles');
        })(GetServerHandlesRequest = Server.GetServerHandlesRequest || (Server.GetServerHandlesRequest = {}));
    })(Server = Messages.Server || (Messages.Server = {}));
    let Client;
    (function (Client) {
        let InstallableServerAddedNotification;
        (function (InstallableServerAddedNotification) {
            InstallableServerAddedNotification.type = new vscode_jsonrpc_1.NotificationType('client/installableServerAdded');
        })(InstallableServerAddedNotification = Client.InstallableServerAddedNotification || (Client.InstallableServerAddedNotification = {}));
        let InstallableServerUpdatedNotification;
        (function (InstallableServerUpdatedNotification) {
            InstallableServerUpdatedNotification.type = new vscode_jsonrpc_1.NotificationType('client/installableServerUpdated');
        })(InstallableServerUpdatedNotification = Client.InstallableServerUpdatedNotification || (Client.InstallableServerUpdatedNotification = {}));
        let InstallableServerDeletedNotification;
        (function (InstallableServerDeletedNotification) {
            InstallableServerDeletedNotification.type = new vscode_jsonrpc_1.NotificationType('client/installableServerDeleted');
        })(InstallableServerDeletedNotification = Client.InstallableServerDeletedNotification || (Client.InstallableServerDeletedNotification = {}));
        let InstallationAddedNotification;
        (function (InstallationAddedNotification) {
            InstallationAddedNotification.type = new vscode_jsonrpc_1.NotificationType('client/installationAdded');
        })(InstallationAddedNotification = Client.InstallationAddedNotification || (Client.InstallationAddedNotification = {}));
        let InstallingServerNotification;
        (function (InstallingServerNotification) {
            InstallingServerNotification.type = new vscode_jsonrpc_1.NotificationType('client/installingServer');
        })(InstallingServerNotification = Client.InstallingServerNotification || (Client.InstallingServerNotification = {}));
        let InstallingServerMessageNotification;
        (function (InstallingServerMessageNotification) {
            InstallingServerMessageNotification.type = new vscode_jsonrpc_1.NotificationType('client/installingServerMessage');
        })(InstallingServerMessageNotification = Client.InstallingServerMessageNotification || (Client.InstallingServerMessageNotification = {}));
        let InstallingServerFailedNotification;
        (function (InstallingServerFailedNotification) {
            InstallingServerFailedNotification.type = new vscode_jsonrpc_1.NotificationType('client/installingServerFailedMessage');
        })(InstallingServerFailedNotification = Client.InstallingServerFailedNotification || (Client.InstallingServerFailedNotification = {}));
        let InstallingServerCancelledNotification;
        (function (InstallingServerCancelledNotification) {
            InstallingServerCancelledNotification.type = new vscode_jsonrpc_1.NotificationType('client/installingServerCancelled');
        })(InstallingServerCancelledNotification = Client.InstallingServerCancelledNotification || (Client.InstallingServerCancelledNotification = {}));
        let InstallingServerCompletedNotification;
        (function (InstallingServerCompletedNotification) {
            InstallingServerCompletedNotification.type = new vscode_jsonrpc_1.NotificationType('client/installingServerCompleted');
        })(InstallingServerCompletedNotification = Client.InstallingServerCompletedNotification || (Client.InstallingServerCompletedNotification = {}));
        let InstalledServerDeletedNotification;
        (function (InstalledServerDeletedNotification) {
            InstalledServerDeletedNotification.type = new vscode_jsonrpc_1.NotificationType('client/installedServerDeleted');
        })(InstalledServerDeletedNotification = Client.InstalledServerDeletedNotification || (Client.InstalledServerDeletedNotification = {}));
        let InstalledServerUpdatedNotification;
        (function (InstalledServerUpdatedNotification) {
            InstalledServerUpdatedNotification.type = new vscode_jsonrpc_1.NotificationType('client/installedServerUpdated');
        })(InstalledServerUpdatedNotification = Client.InstalledServerUpdatedNotification || (Client.InstalledServerUpdatedNotification = {}));
        let StartingServerNotification;
        (function (StartingServerNotification) {
            StartingServerNotification.type = new vscode_jsonrpc_1.NotificationType('client/startingServer');
        })(StartingServerNotification = Client.StartingServerNotification || (Client.StartingServerNotification = {}));
        let ServerMessageNotification;
        (function (ServerMessageNotification) {
            ServerMessageNotification.type = new vscode_jsonrpc_1.NotificationType('client/serverMessage');
        })(ServerMessageNotification = Client.ServerMessageNotification || (Client.ServerMessageNotification = {}));
        let ErrorStartingServerNotification;
        (function (ErrorStartingServerNotification) {
            ErrorStartingServerNotification.type = new vscode_jsonrpc_1.NotificationType('client/errorStartingServer');
        })(ErrorStartingServerNotification = Client.ErrorStartingServerNotification || (Client.ErrorStartingServerNotification = {}));
        let ServerStartedNotification;
        (function (ServerStartedNotification) {
            ServerStartedNotification.type = new vscode_jsonrpc_1.NotificationType('client/serverStarted');
        })(ServerStartedNotification = Client.ServerStartedNotification || (Client.ServerStartedNotification = {}));
        let ServerStoppedNotification;
        (function (ServerStoppedNotification) {
            ServerStoppedNotification.type = new vscode_jsonrpc_1.NotificationType('client/serverStopped');
        })(ServerStoppedNotification = Client.ServerStoppedNotification || (Client.ServerStoppedNotification = {}));
        let AnalysisStartedNotification;
        (function (AnalysisStartedNotification) {
            AnalysisStartedNotification.type = new vscode_jsonrpc_1.NotificationType('client/analysisStarted');
        })(AnalysisStartedNotification = Client.AnalysisStartedNotification || (Client.AnalysisStartedNotification = {}));
        let AnalysisCancelledNotification;
        (function (AnalysisCancelledNotification) {
            AnalysisCancelledNotification.type = new vscode_jsonrpc_1.NotificationType('client/analysisCancelled');
        })(AnalysisCancelledNotification = Client.AnalysisCancelledNotification || (Client.AnalysisCancelledNotification = {}));
        let AnalysisMessageNotification;
        (function (AnalysisMessageNotification) {
            AnalysisMessageNotification.type = new vscode_jsonrpc_1.NotificationType('client/analysisMessage');
        })(AnalysisMessageNotification = Client.AnalysisMessageNotification || (Client.AnalysisMessageNotification = {}));
        let AnalysisCompletedNotification;
        (function (AnalysisCompletedNotification) {
            AnalysisCompletedNotification.type = new vscode_jsonrpc_1.NotificationType('client/analysisComplete');
        })(AnalysisCompletedNotification = Client.AnalysisCompletedNotification || (Client.AnalysisCompletedNotification = {}));
    })(Client = Messages.Client || (Messages.Client = {}));
})(Messages = exports.Messages || (exports.Messages = {}));
//# sourceMappingURL=messages.js.map